﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;

namespace MatrixDotNetLib
{
    public class MatrixError
    {
        /// <summary>
        /// Gets or sets the error code (required)
        /// </summary>
        [JsonProperty("errcode")]
        public string ErrorCode { get; set; }

        /// <summary>
        /// Gets or sets the friendly error message (optional)
        /// </summary>
        [JsonProperty("error")]
        public string ErrorMessage { get; set; }

        /// <summary>
        /// Gets or sets the delay in milliseconds (optional)
        /// </summary>
        [JsonProperty("retry_after_ms")]
        public Int32 RetryDelay { get; set; }
    }
}
