﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;

namespace MatrixDotNetLib
{
    public class MatrixLoginResponse
    {
        /// <summary>
        /// Gets or sets the access token (optional)
        /// </summary>
        [JsonProperty("access_token")]
        public string Token { get; set; }

        /// <summary>
        /// Gets or sets the device ID (optional)
        /// </summary>
        [JsonProperty("device_id")]
        public string DeviceId { get; set; }

        /// <summary>
        /// Gets or sets the user ID (optional)
        /// </summary>
        [JsonProperty("user_id")]
        public string UserId { get; set; }

        /// <summary>
        /// Gets or sets client configuration (optional)
        /// </summary>
        [JsonProperty("well_known")]
        public MatrixUserServers KnownServers { get; set; }
    }
}
