﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;

namespace MatrixDotNetLib
{
    public class MatrixLoginIdentifier
    {
        /// <summary>
        /// Gets or sets the login identifier type (required) 
        /// </summary>
        [JsonProperty("type")]
        public string IdType { get; set; }

        /// <summary>
        /// Gets or sets the username (required if IdType is m.id.user)
        /// </summary>
        [JsonProperty("user")]
        public string User { get; set; }
    }
}
