﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;

namespace MatrixDotNetLib
{
    public class MatrixRoomEntry
    {
        [JsonProperty("aliases")]
        public string[] Aliases { get; set; }

        [JsonProperty("canonical_alias")]
        public string Alias { get; set; }

        [JsonProperty("avatar_url")]
        public string Avatar { get; set; }

        [JsonProperty("guest_can_join")]
        public bool GuestAccess { get; set; }

        [JsonProperty("name")]
        public string Name { get; set; }

        [JsonProperty("num_joined_members")]
        public int Members { get; set; }

        [JsonProperty("room_id")]
        public string RoomId { get; set; }

        [JsonProperty("topic")]
        public string Topic { get; set; }

        [JsonProperty("world_readable")]
        public bool Readable { get; set; }
    }
}
