﻿using System;
using System.Collections.Generic;
using System.Text;
using Newtonsoft.Json;

namespace MatrixDotNetLib
{
    public class MatrixUser
    {
        /// <summary>
        /// Gets or sets user id as a string
        /// </summary>
        [JsonProperty("user_id")]
        public string userid { get; set; }

        /// <summary>
        /// Gets or sets access token as a string
        /// </summary>
        [JsonProperty("access_token")]
        public string token { get; set; }

        /// <summary>
        /// Gets or sets home server as string
        /// </summary>
        [JsonProperty("home_server")]
        public string server { get; set; }

        /// <summary>
        /// Gets or sets device id as string (optional)
        /// </summary>
        [JsonProperty("device_id")]
        public string deviceid { get; set; }
    }
}
